// escribircads.cpp - Escribir cadenas en un fichero
#include <iostream>
#include <fstream>
#include <string>
using namespace std;

int main()
{
  string nombreFichero;

  cout << "Fichero: "; getline(cin, nombreFichero);
  // Abrir el fichero para escribir y asociarle un búfer
  fstream ofs(nombreFichero.c_str(), ios::out);
  if (!ofs)
  {
    cerr << "Error: no se puede abrir el fichero\n";
    return -1;
  }

  // Escribir datos en el fichero
  string linea;
  cout << "Introducir cadenas de caracteres.\n"
       << "Para finalizar, pulse <Entrar> sólo en una línea.\n\n";
  getline(cin, linea); // leer una línea de la entrada estándar
  while(!linea.empty())
  {
    ofs << linea << endl; // cada línea finaliza con '\n'
    getline(cin, linea);  // leer otra línea de la entrada estándar
  }
}

